Subject: bug#65469: [PATCH] * etc/emacsclient.desktop: Make Emacs default application for org-protocol

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Sep 2023 18:01:55 +0300

> From: Björn Bidar <[email-masked]>
> Cc: Ihor Radchenko <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Wed, 20 Sep 2023 17:01:27 +0300
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >   ** On capable systems, Emacs is now the default application for 'org-protocol'.
> >   Org mode provides a way to quickly capture bookmarks, notes, and links
> >   using 'emacsclient':
> >
> >       emacsclient "org-protocol://store-link?url=URL&title=TITLE"
> >
> >   Previously, users had to manually configure their desktop environment
> >   to open 'org-protocol' links in Emacs.  On any XDG-compliant desktop
> >   environment, including KDE and GNOME on GNU/Linux, and some others,
> >   these links should now open in Emacs automatically if the application
> >   that opens the link follows the XDG spec and xdg-utils are installed.
> >   This is because the "emacsclient.desktop" file now arranges for Emacs
> >   to be the default application for the 'org-protocol' URI scheme.  See
> >   the Org mode manual, Info node "(org) Protocols" for more details.
> 
> Why the focus on Linux?

Not focus, but preference.  It's because GNU/Linux is our main target
system and its users are our main audience.

> For example, you can install KDE on BSD and have the same benefit of
> the change as on Linux.

The above text says "and some others", and it also says "any
XDG-compliant desktop environment".  Why is this not enough?  We don't
have to promote *BSD systems.